#/* LICENSE:
#  =========================================================================
#    CMPack'03 Source Code Release for OPEN-R SDK v1.0
#    Copyright (C) 2003 Multirobot Lab [Project Head: Manuela Veloso]
#    School of Computer Science, Carnegie Mellon University
#    All rights reserved.
#  ========================================================================= */
# The Aperios Software Platform
#
# This program is subject to copyright protection in accordance with the
# applicable law. It must not, except where allowed by law, by any means or
# in any form be reproduced, distributed or lent. Moreover, no part of the
# program may be used, viewed, printed, disassembled or otherwise interfered
# with in any form, except where allowed by law, without the express written
# consent of the copyright holder.
#
# portions Copyright 1988-1999 Sony Corporation
# All Rights Reserved.
#

# target module name
TARGET_USER_OBJECT  = shMemMgr
TARGET_USER_OBJECT_BIN  = SHMEMMGR

STUB_BASE = SharedMemMgrStub

# C++ source files
SHARED_SOURCES = \
	../shared_code/AperiosSharedMem.cc \

SMM_SRCS = \
	SharedMemMgr.cc \
	SharedMemMgrStub.cc \

CC_SRCS = \
	$(SMM_SRCS) \
	$(SHARED_SOURCES) \

CC_OBJS = $(CC_SRCS:.cc=.mips.o)
CC_DEPS = $(CC_SRCS:.cc=.mips.d)

# extra unusual generated .h files
GEN_HS := 

include ../Makefile.sdk.common
